Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource

    java.lang.Object
      |
      +--javax.swing.plaf.BorderUIResource

public class BorderUIResource
extends java.lang.Object
implements Border, UIResource, java.io.Serializable

See Also:
  Serialized Form

Inner Class Summary
`static class` | `BorderUIResource.BevelBorderUIResource`
`static class` | `BorderUIResource.CompoundBorderUIResource`
`static class` | `BorderUIResource.EmptyBorderUIResource`
`static class` | `BorderUIResource.EtchedBorderUIResource`
`static class` | `BorderUIResource.LineBorderUIResource`
`static class` | `BorderUIResource.MatteBorderUIResource`
`static class` | `BorderUIResource.TitledBorderUIResource`

Constructor Summary
`BorderUIResource(Border delegate)` Creates a UIResource border object which wraps an existing Border instance.

Method Summary
`static Border` | `getBlackLineBorderUIResource()`
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`static Border` | `getEtchedBorderUIResource()`
`static Border` | `getLoweredBevelBorderUIResource()`
`static Border` | `getRaisedBevelBorderUIResource()`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource

    public BorderUIResource(Border delegate)

  Creates a UIResource border object which wraps an existing Border instance.
  Parameters:
    `delegate` - the border being wrapped

Method Detail

### getEtchedBorderUIResource

    public static Border getEtchedBorderUIResource()

### getLoweredBevelBorderUIResource

    public static Border getLoweredBevelBorderUIResource()

### getRaisedBevelBorderUIResource

    public static Border getRaisedBevelBorderUIResource()

### getBlackLineBorderUIResource

    public static Border getBlackLineBorderUIResource()

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    paintBorder in interface Border

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    getBorderInsets in interface Border

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    isBorderOpaque in interface Border

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.